Will we be able to drive past robots with the 2015 driverstation?

The title says it all. I’m curious if we will have to over complicate our driver station software in order to be able to use our robots from previous years.

Notice on one of the DS pages the option to chose between the old protocol and new protocol.

Thank you! This is a relief I did not notice this!

That allows the 2015 driver station to talk to a 2014 or 2015 FMS, not a 2014 or 2015 robot. See https://wpilib.screenstepslive.com/s/4485/m/24192/l/144976-frc-driver-station-software#SetupTab

If that means the answer is no, how well do the 2014 and 2015 Driver Stations coexist when installed on the same computer?

I think that the 4 slot crios can be used with the 2015 driver station.

For some software environments. See http://www.chiefdelphi.com/forums/showpost.php?p=1420613&postcount=19

I’ve used them both on the same computer. They have slightly different names, but install the same location.

2015: Driver Station.exe
2014: DriverStation.exe

It’s been a while since I did it, however I think the 2015 LabVIEW update removed the 2014 driver station, but reinstalling the 2014 LabVIEW update got them both there.